Subject: bug#7952: 24.0.50; crash in find_interval

From: Stefan Monnier <[email-masked]>
Date: Mon, 02 May 2011 11:51:31 -0300

>> As can be seen by a comment in grep.el, I consider grep's updating of
>> the buffer as a problem.  Also, we've seen other reasons why grep's
>> handling of escape sequences should be performed in the process filter
>> rather than in font-lock.  So I'd rather say that grep's use of
>> font-lock is wrong, rather than change jit-lock to accommodate it.
> So you are saying that, as a matter of policy, font-lock should never
> modify the text of its buffer, is that right?

[ Actually, we're talking about jit-lock, really.  ]
Yes.  We should not crash if it does, but any non-crashing behavior
(including minor redisplay glitches) is fair game, I think.

        Stefan